// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_katooine3/kat3_katsky1
{
	qer_editorimage env/ut4_katooine3/box374_ft.tga
	
	skyparms env/ut4_katooine3/box374 128 -
	
	q3map_sunEXT 1 1 1 200 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 310 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
	
}

// ---=== Ladderclip ===---

textures/ut4_katooine3/kat3_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Holopanels ===---

textures/ut4_katooine3/kat3_holop1_b
{
	qer_editorimage textures/ut4_katooine3/holopanel1/holopanel_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 12 textures/ut4_katooine3/holopanel1/holopanel_b1.jpg textures/ut4_katooine3/holopanel1/holopanel_b1.jpg textures/ut4_katooine3/holopanel1/holopanel_b1.jpg textures/ut4_katooine3/holopanel1/holopanel_b2.jpg textures/ut4_katooine3/holopanel1/holopanel_b1.jpg textures/ut4_katooine3/holopanel1/holopanel_b3.jpg textures/ut4_katooine3/holopanel1/holopanel_b1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine3/kat3_holop1_r
{
	qer_editorimage textures/ut4_katooine3/holopanel1/holopanel_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 12 textures/ut4_katooine3/holopanel1/holopanel_r1.jpg textures/ut4_katooine3/holopanel1/holopanel_r1.jpg textures/ut4_katooine3/holopanel1/holopanel_r1.jpg textures/ut4_katooine3/holopanel1/holopanel_r2.jpg textures/ut4_katooine3/holopanel1/holopanel_r1.jpg textures/ut4_katooine3/holopanel1/holopanel_r3.jpg textures/ut4_katooine3/holopanel1/holopanel_r1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine3/kat3_paw_b
{
	qer_editorimage textures/ut4_katooine3/katprint_b
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_katooine3/katprint_b.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine3/kat3_paw_r
{
	qer_editorimage textures/ut4_katooine3/katprint_r
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_katooine3/katprint_r.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== Light Emitting Textures ===---

textures/ut4_katooine3/e6basicstrip_blue
{
	qer_editorimage textures/ut4_katooine3/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine3/e6basicstrip_blue.tga
	}
}

textures/ut4_katooine3/e6basicstrip_green
{
	qer_editorimage textures/ut4_katooine3/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine3/e6basicstrip_green.tga
	}
}

textures/ut4_katooine3/e6basicstrip_orange
{
	qer_editorimage textures/ut4_katooine3/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine3/e6basicstrip_orange.tga
	}
}

textures/ut4_katooine3/e6basicstrip_purple
{
	qer_editorimage textures/ut4_katooine3/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine3/e6basicstrip_purple.tga
	}
}

textures/ut4_katooine3/e6basicstrip_red
{
	qer_editorimage textures/ut4_katooine3/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine3/e6basicstrip_red.tga
	}
}

textures/ut4_katooine3/e6basicstrip_white
{
	qer_editorimage textures/ut4_katooine3/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine3/e6basicstrip_white.tga
	}
}

textures/ut4_katooine3/e6tinylight
{
	qer_editorimage textures/ut4_katooine3/e6tinylight.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nonsolid
		
	{
		map textures/ut4_katooine3/e6tinylight.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_katooine3/e6tinylight_blend.tga
		blendfunc add
	}
}

textures/ut4_katooine3/e8minitrimlight
{
	qer_editorimage textures/ut4_katooine3/e8minitrimlight.tga
	q3map_lightimage textures/ut4_katooine3/e8minitrimlight.blend.tga
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_surfacelight 250
	{
		map textures/ut4_katooine3/e8minitrimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_katooine3/e8minitrimlight.blend.tga
		blendfunc add
	}
}

// ---=== No Damage ===---

textures/ut4_katooine3/e8crete03fadedwarn:q3map
{
	surfaceparm nodamage
}

textures/ut4_katooine3/kilt_ground03:q3map
{
	surfaceparm nodamage
}

textures/ut4_katooine3/kw_sand1:q3map
{
	surfaceparm nodamage
}

//soc textures

textures/ut4_katooine3/kat3_lig_ropB2k
{
	qer_editorimage textures/ut4_katooine3/soc_064lig30ba.tga
	q3map_lightimage textures/ut4_katooine3/soc_064lig30b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine3/soc_064lig30ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine3/soc_064lig30b.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_katooine3/kat3_lig_ropR2k
{
	qer_editorimage textures/ut4_katooine3/soc_064lig30ra.tga
	q3map_lightimage textures/ut4_katooine3/soc_064lig30r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine3/soc_064lig30ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine3/soc_064lig30r.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_katooine3/kat3_lig_ropY2k
{
	qer_editorimage textures/ut4_katooine3/soc_064lig30ya.tga
	q3map_lightimage textures/ut4_katooine3/soc_064lig30y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_katooine3/soc_064lig30ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine3/soc_064lig30y.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

// ---=== Kilt Textures ===---

textures/ut4_katooine3/kilt_alien_light1
{
	qer_editorimage textures/ut4_katooine3/kilt_alien_light1.tga
	surfaceparm nomarks
	q3map_surfacelight 300
	//light 1

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_katooine3/kilt_alien_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine3/kilt_alien_light1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_katooine3/kilt_alien_scratch3a_blue
{
	q3map_lightimage textures/ut4_katooine3/kilt_alien_scratch3a_bluefx.tga
	q3map_surfacelight 500

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_katooine3/kilt_alien_scratch3a_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine3/kilt_alien_scratch3a_bluefx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 0.5
	}
}

textures/ut4_katooine3/kilt_alien_scratch3a_red
{
	q3map_lightimage textures/ut4_katooine3/kilt_alien_scratch3a_redfx.tga
	q3map_surfacelight 500

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_katooine3/kilt_alien_scratch3a_red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_katooine3/kilt_alien_scratch3a_redfx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 0.5
	}
}
